/******************************************************************************
 * OpenLP - Open Source Lyrics Projection                                      *
 * --------------------------------------------------------------------------- *
 * Copyright (c) 2008-2017 OpenLP Developers                                   *
 * --------------------------------------------------------------------------- *
 * This program is free software; you can redistribute it and/or modify it     *
 * under the terms of the GNU General Public License as published by the Free  *
 * Software Foundation; version 2 of the License.                              *
 *                                                                             *
 * This program is distributed in the hope that it will be useful, but WITHOUT *
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or       *
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for    *
 * more details.                                                               *
 *                                                                             *
 * You should have received a copy of the GNU General Public License along     *
 * with this program; if not, write to the Free Software Foundation, Inc., 59  *
 * Temple Place, Suite 330, Boston, MA 02111-1307 USA                          *
 ******************************************************************************/
window.OpenLP = {
  loadService: function (event) {
    $.getJSON(
      "/api/service/list",
      function (data, status) {
        OpenLP.itemFooter = "";
        for (idx in data.results.items) {
          idx = parseInt(idx, 10);
          if (data.results.items[idx]["selected"]) {
              OpenLP.itemFooter = data.results.items[idx]["title"];
  if("" != data.results.items[idx]["notes"])
OpenLP.itemFooter += " - " + data.results.items[idx]["notes"];
            break;
          }
        }
        OpenLP.updateSlide();
      }
    );
  },
  loadSlides: function (event) {
    $.getJSON(
      "/api/controller/live/text",
      function (data, status) {
        OpenLP.currentSlides = data.results.slides;
        OpenLP.currentSlide = 0;
        $.each(data.results.slides, function(idx, slide) {
          if (slide["selected"])
            OpenLP.currentSlide = idx;
        })
        OpenLP.loadService();
      }
    );
  },
  updateSlide: function() {
  if (OpenLP.currentTheme || OpenLP.currentBlank)
  $("#currentslide").html("");
  else {
// Show the current slide if displayed
var slide = OpenLP.currentSlides[OpenLP.currentSlide];
var text = "";
text += slide["text"];
// Show the Song or Scripture Title
text += "<br /><div id='itemFooter'>" + OpenLP.itemFooter + "</div>";
text = text.replace(/\n/g, "<br />");
$("#currentslide").html(text);
text = "";
  }
  },
  pollServer: function () {
    $.getJSON(
      "/api/poll",
      function (data, status) {
        if (OpenLP.currentItem != data.results.item ||
            OpenLP.currentService != data.results.service) {
          OpenLP.currentItem = data.results.item;
          OpenLP.currentService = data.results.service;
  OpenLP.currentTheme = data.results.theme;
  OpenLP.currentBlank = data.results.blank;
          OpenLP.loadSlides();
        }
        else if (OpenLP.currentSlide != data.results.slide) {
          OpenLP.currentSlide = parseInt(data.results.slide, 10);
          OpenLP.updateSlide();
        }
else if (OpenLP.currentTheme != data.results.theme  ||
OpenLP.currentBlank != data.results.blank) {
  OpenLP.currentTheme = data.results.theme;
  OpenLP.currentBlank = data.results.blank;
  OpenLP.updateSlide();
}
      }
    );
  }
}
$.ajaxSetup({ cache: false });
setInterval("OpenLP.pollServer();", 200);
OpenLP.pollServer();
